Ticket #43034

Reintroduce ACLOCAL_AMFLAGS to S3_0

Date d'ouverture: 2021-10-12 17:53 Dernière mise à jour: 2022-01-18 02:05

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Jalon:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
1

Détails

Ever since we dropped ACLOCAL_AMFLAGS from main Makefile.am, autogen.sh has been giving warnings like "configure.ac:557: warning: macro 'AM_LANGINFO_CODESET' not found in library"

I think the warning comes from libtool, which last has had an upstream release 2015, and which doesn't know that automake doesn't need ACLOCAL_AMFLAGS any more. Situation is unlikely to change before we release 3.0.0, and in any case already released distributions have the libtool version that gives the warning. I think we should just reinstate ACLOCAL_AMFLAGS for S3_0.

Ticket History (3/6 Histories)

2021-10-12 17:53 Updated by: cazfi
  • New Ticket "Reintroduce ACLOCAL_AMFLAGS to S3_0" created
2021-10-13 23:14 Updated by: cazfi
  • Résolution Update from Aucun to Accepted
2021-10-15 21:13 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Accepted to Fixed
2022-01-15 18:46 Updated by: cazfi
  • État Update from Atteints to Ouvert
  • Résolution Update from Fixed to Accepted
Commentaire

Given that there's only some vague talk about developing a new libtool version that would drop the requirement, I think we should port this change to S3_1 too. Even if the new libtool version exist at the time of freeciv-3.1 release, there are going to be a lot of older distribution releases in use that do not have it.

-> consider 36h review period before pushing this to S3_1 started.

2022-01-18 02:05 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Attachment File List

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion